{
    attributes = (
        {
            columnName = "C_ANCIENNETE"; 
            externalType = VARCHAR2; 
            name = cAnciennete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            name = congeOrdre; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DACC_ORDRE"; 
            externalType = NUMBER; 
            name = daccOrdre; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_ACCIDENT_TRAV"; 
            externalType = DATE; 
            name = dateAccident; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARR_ACC_TRAV"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CGNT_ACC_TRAV"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CGNT_ACC_TRAV"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_PLEIN_TRAIT"; 
            externalType = DATE; 
            name = dDebPleinTrait; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_PLEIN_TRAIT"; 
            externalType = DATE; 
            name = dFinPleinTrait; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARR_ACC_TRAV"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cAnciennete, 
        commentaire, 
        congeOrdre, 
        daccOrdre, 
        noArrete, 
        noDossierPers, 
        temValide
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.EOMangueCgntAccidentTrav"; 
    classProperties = (
        cAnciennete, 
        commentaire, 
        dateAccident, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dDebPleinTrait, 
        declaration, 
        dFinPleinTrait, 
        dModification, 
        individu, 
        noArrete, 
        temValide
    ); 
    externalName = "MANGUE.CGNT_ACCIDENT_TRAV"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cAnciennete, 
            commentaire, 
            dateAccident, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dDebPleinTrait, 
            dFinPleinTrait, 
            individu, 
            noArrete, 
            temValide
        ); 
    }; 
    name = MangueCgntAccidentTrav; 
    primaryKeyAttributes = (congeOrdre); 
    relationships = (
        {
            destination = MangueDeclarationAccident; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = daccOrdre; sourceAttribute = daccOrdre; }); 
            name = declaration; 
        }, 
        {
            destination = GrhumIndividu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }
    ); 
    userInfo = {
        "_EntityModeler" = {parentClassName = ObjetSIDestinatairePourPeriodeEtIndividu; }; 
    }; 
}
